summaryrefslogtreecommitdiff
path: root/dev-python/ptyprocess
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/ptyprocess')
-rw-r--r--dev-python/ptyprocess/Manifest1
-rw-r--r--dev-python/ptyprocess/metadata.xml10
-rw-r--r--dev-python/ptyprocess/ptyprocess-0.7.0-r1.ebuild28
3 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/ptyprocess/Manifest b/dev-python/ptyprocess/Manifest
new file mode 100644
index 000000000000..69268533c295
--- /dev/null
+++ b/dev-python/ptyprocess/Manifest
@@ -0,0 +1 @@
+DIST ptyprocess-0.7.0.tar.gz 70762 BLAKE2B 6c72cda3eae7dbf4335af11b6ffe1d46040d01fc5c2599948abf0a4fbd53ea45e9d2833843465dbb868da7b4058a014ed08754bb49888795de221bd54ae092a5 SHA512 791d8f2e79900627215ce80ce67ee9c79173dbc08297c6219d5058f9b80c5e323b93049e6836a70c4073f43548d22e3cf310f2e9948ef12f96bcaa15b0ddb2f3
diff --git a/dev-python/ptyprocess/metadata.xml b/dev-python/ptyprocess/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/ptyprocess/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/ptyprocess/ptyprocess-0.7.0-r1.ebuild b/dev-python/ptyprocess/ptyprocess-0.7.0-r1.ebuild
new file mode 100644
index 000000000000..994bd8f89d18
--- /dev/null
+++ b/dev-python/ptyprocess/ptyprocess-0.7.0-r1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Run a subprocess in a pseudo terminal"
+HOMEPAGE="
+ https://github.com/pexpect/ptyprocess/
+ https://pypi.org/project/ptyprocess/
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # https://github.com/pexpect/ptyprocess/pull/75
+ sed -i -e '/makeSuite/d' tests/test_invalid_binary.py || die
+}